### Function

# Rsvg pixbuf_from_file

deprecated: Unknown since: 2.0

#### Declaration [src]

    GdkPixbuf*
    rsvg_pixbuf_from_file (
      const gchar* filename,
      GError** error
    )

#### Description [src]

Loads a new `GdkPixbuf` from `filename` and returns it. The caller must assume the reference to the reurned pixbuf. If an error occurred, `error` is set and `NULL` is returned.

Available since: 2.0

Deprecated since: Unknown

Use `rsvg_handle_new_from_file()` and `rsvg_handle_render_document()` instead.

#### Parameters

`filename`

  Type: `const gchar*`

  A file name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GdkPixbuf`

A pixbuf, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.